org.apache.cassandra.db

## Class RangeTombstone

- java.lang.Object
- - org.apache.cassandra.utils.Interval<Composite,DeletionTime>
  - - org.apache.cassandra.db.RangeTombstone

All Implemented Interfaces:
  OnDiskAtom

    public class RangeTombstone
    extends Interval<Composite,DeletionTime>
    implements OnDiskAtom

### Nested Class Summary

Nested Classes
`static class` `RangeTombstone.Serializer`
`static class` `RangeTombstone.Tracker` Tracks opened RangeTombstones when iterating over a partition.

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.SerializerForWriting`

### Field Summary

### Fields inherited from class org.apache.cassandra.utils.Interval

`data, max, min`

### Constructor Summary

Constructors
Constructor and Description
`RangeTombstone(Composite start, Composite stop, DeletionTime delTime)`
`RangeTombstone(Composite start, Composite stop, long markedForDeleteAt, int localDeletionTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLocalDeletionTime()`
`boolean` `includes(java.util.Comparator<Composite> comparator, Composite name)`
`Composite` `name()`
`boolean` `supersedes(RangeTombstone rt, java.util.Comparator<Composite> comparator)` This tombstone supersedes another one if it is more recent and cover a bigger range than rt.
`long` `timestamp()` For a standard column, this is the same as timestamp().
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`

### Methods inherited from class org.apache.cassandra.utils.Interval

`create, create, equals, hashCode, maxOrdering, minOrdering, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RangeTombstone

    public RangeTombstone(Composite start,
                          Composite stop,
                          long markedForDeleteAt,
                          int localDeletionTime)

#### RangeTombstone

    public RangeTombstone(Composite start,
                          Composite stop,
                          DeletionTime delTime)

### Method Detail

#### name

    public Composite name()

Specified by:
  `name` in interface `OnDiskAtom`

#### getLocalDeletionTime

    public int getLocalDeletionTime()

Specified by:
  `getLocalDeletionTime` in interface `OnDiskAtom`

#### timestamp

    public long timestamp()

Description copied from interface: `OnDiskAtom`
For a standard column, this is the same as timestamp(). For a super column, this is the min/max column timestamp of the sub columns.

Specified by:
  `timestamp` in interface `OnDiskAtom`

#### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

Specified by:
  `validateFields` in interface `OnDiskAtom`
Throws:
  `MarshalException`

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

Specified by:
  `updateDigest` in interface `OnDiskAtom`

#### supersedes

    public boolean supersedes(RangeTombstone rt,
                              java.util.Comparator<Composite> comparator)

This tombstone supersedes another one if it is more recent and cover a bigger range than rt.

#### includes

    public boolean includes(java.util.Comparator<Composite> comparator,
                            Composite name)